NAME
SYNOPSIS
DESCRIPTION
OPTIONS
NOTES
FILES
/etc/imapd.conf
SEE ALSO
lmtpd(8)

## NAME

deliver - deliver mail to an IMAP mailbox

## SYNOPSIS

deliver [ -C config-file ] [ -d ] [ -r address ] [ -f address ] [ -m mailbox ] [ -a auth-id ] [ -q ] [ userid ]... deliver [ -C config-file ] -l |

## DESCRIPTION

Deliver reads a message from the standard input and delivers it to one or more IMAP mailboxes.

Deliver reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

## OPTIONS

-C config-file

-d

-r address

-f address

-m mailbox

Read configuration options from config-file.

Ignored for compatability with /bin/mail.

Insert a Return-Path: header containing

Insert a Return-Path: header containing

Deliver to mailbox. If any userid s are specified, attempts to deliver to user.userid.mailbox for each userid. If the ACL on any such mailbox does not grant the sender the "p" right or if -m is not specified, then delivers to the INBOX for the userid, regardless of the ACL on the INBOX.

If no userid s are specified, attempts to deliver to mailbox. If the ACL on mailbox does not grant the sender the "p" right, the delivery fails.

-a auth-id -q -l |  | Specify the authorization id of the sender. Defaults to "anonymous". Deliver message even when receiving mailbox is over quota. Accept messages using the LMTP protocol.

## NOTES

Depending on the setting of reject8bit in imapd.conf(5), deliver either rejects messages with 8-bit-set characters in the headers or changes these characters to `X'. This is because such characters can't be interpreted since the character set is not known, although some communities not well-served by US-ASCII assume that those charac- ters can be used to represent characters not present in US-ASCII.

A method for encoding 8-bit-set characters is provided by RFC 2047.

## FILES

## /etc/imapd.conf

## SEE ALSO

## lmtpd(8)